Bug 1254529 - Adding extra monitor makes some desktop icons disappear
Adding extra monitor makes some desktop icons disappear
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 06:28 EDT by Viktor Jancik
Modified: 2016-07-19 15:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:55:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
All of my icons under normal circumstances (2.46 MB, image/png)
2015-08-18 06:29 EDT, Viktor Jancik
no flags Details
My icons as they get drawn/cutoff on the misaligned left monitor (2.46 MB, image/png)
2015-08-18 06:30 EDT, Viktor Jancik
no flags Details
My Combined Displays Arrangement (35.41 KB, image/png)
2015-08-18 06:31 EDT, Viktor Jancik
no flags Details

  None (edit)
Description Viktor Jancik 2015-08-18 06:28:15 EDT
Description of problem:
I enabled Icons on Desktop in Gnome Tweak Tool and discovered that opening my laptop lit (effectively adding the laptop screen) makes some of my icons disappear.

I discovered that they are not actually disappearing, but running of screen, due to the Combined Display Arrangement (see screenshot).

Arranging the displays to be in one line (instead of how I have it due to physical location) makes the bug go away and all of the icons display properly.

Version-Release number of selected component (if applicable):
GNOME Shell 3.16.3

How reproducible:
Always

Steps to Reproduce:
1. Add multiple monitors
2. Enable Desktop->Icons on Desktop in Gnome Tweak Tool
3. Remove the left positioned misaligned monitor, then put it back in.

Actual results:
The icons appear on the newly added left monitor, however their starting position is in line with the remaining monitors, instead with the monitor that they actually get displayed on. This causes that half of them get cutoff (depending on your Combined Display Arrangement.

Expected results:
All the icons appear on the newly added left monitor.
Comment 1 Viktor Jancik 2015-08-18 06:29:12 EDT
Created attachment 1064281 [details]
All of my icons under normal circumstances
Comment 2 Viktor Jancik 2015-08-18 06:30:13 EDT
Created attachment 1064282 [details]
My icons as they get drawn/cutoff on the misaligned left monitor
Comment 3 Viktor Jancik 2015-08-18 06:31:44 EDT
Created attachment 1064283 [details]
My Combined Displays Arrangement

The left one is the built-in laptop display.
The middle and right ones are 23 inch external monitors, all same resolution.
Comment 4 Florian Müllner 2015-09-04 07:44:04 EDT
Desktop icons are provided by the file manager, reassigning.
Comment 6 Fedora End Of Life 2016-07-19 15:55:35 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.